PatternCmd(3U)

NAME
PatternCmd - command for setting components' pattern attribute

SYNOPSIS
#include <Unidraw/Commands/patcmd.h>

DESCRIPTION
PatternCmd is a purely interpretive command for setting the pattern attribute of selected components.

PUBLIC OPERATIONS

PatternCmd(ControlInfo*, PSPattern* = nil)

PatternCmd(Editor* = nil, PSPattern* = nil)
    Create a PatternCmd, optionally specifying the PSPattern that components should adopt.

virtual void Execute()
    PatternCmd extends Execute to set the value of the affected editor's PatternVar instance, if it defines one.

PSPattern* GetPattern()
    Return the PSPattern supplied in the constructor.

SEE ALSO
Command(3U), pspaint(3U), statevars(3U)